Subject: Re: [E1000-devel] REGRESSION: panic on e1000 driver

From: "Kok, Auke" <[email-masked]>
Date: Thu, 31 May 2007 08:23:24 -0700

Doug Chapman wrote:
> On Thu, 2007-05-31 at 11:08 +1000, Herbert Xu wrote:
>> On Wed, May 30, 2007 at 05:22:30PM -0400, Doug Chapman wrote:
>>> but once again broken just yesterday by the following commit.  I have
>>> backed just this commit out and verified I no longer panic.
>> Hmm, the only way I can see this happening is if the hardware signals
>> an interrupt even though we've explicitly shut it off.  Does this patch
>> help? If it does help, does it produce the warning in dmesg?
>>
>> Thanks,
> 
> 
> The patch does fix the panic.  Here are all the e1000 messages from
> dmesg after a bootup.  Note that only eth0 is actually configured and
> connected:
> 
> 
> # dmesg | grep e1000
> e1000: 0000:01:02.0: e1000_probe: (PCI-X:66MHz:64-bit) 00:15:60:04:d7:f8
> e1000: eth0: e1000_probe: Intel(R) PRO/1000 Network Connection
> e1000: 0000:01:02.1: e1000_probe: (PCI-X:66MHz:64-bit) 00:15:60:04:d7:f9
> e1000: eth1: e1000_probe: Intel(R) PRO/1000 Network Connection
> e1000: 0000:15:02.0: e1000_probe: (PCI-X:66MHz:64-bit) 00:12:79:9e:b7:c4
> e1000: eth2: e1000_probe: Intel(R) PRO/1000 Network Connection
> e1000: 0000:15:02.1: e1000_probe: (PCI-X:66MHz:64-bit) 00:12:79:9e:b7:c5
> e1000: eth3: e1000_probe: Intel(R) PRO/1000 Network Connection
> e1000: Unexpected interrupt icr=0x4

that's indeed the link status change we fire manually to trigger the watchdog run:

#define E1000_ICR_LSC           0x00000004 /* Link Status Change */

Auke